<?php
// show any kind or errors
error_reporting(E_ALL);
ini_set('display_errors', 1);

// start session for paging
session_start();

// set to your timezone
date_default_timezone_set('Asia/Manila');
?>
<!DOCTYPE html>
<html lang="en">
<head>

	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">

	<title>Display Instagram Posts On Website - LEVEL 2 - Live Demo</title>

    <!-- Bootstrap CSS -->
	<link href="libs/js/bootstrap/dist/css/bootstrap.css" rel="stylesheet" media="screen">

	<!-- blue imp gallery -->
	<link rel="stylesheet" href="libs/js/Bootstrap-Image-Gallery-3.1.1/css/blueimp-gallery.min.css">
	<link rel="stylesheet" href="libs/js/Bootstrap-Image-Gallery-3.1.1/css/bootstrap-image-gallery.min.css">

	<!-- font awesome css -->
	<link rel="stylesheet" href="libs/css/font-awesome-4.4.0/css/font-awesome.min.css">

	<style>
	.vid-play-btn{
		position: absolute;
		top: 36%;
		right: 0;
		left: 0;
		margin: -64px auto 0;
		width: 128px;
		height: 128px;
		background: url(libs/js/Bootstrap-Image-Gallery-3.1.1/img/video-play.svg) center no-repeat;
		opacity: .8;
		cursor: pointer;
	}

	.blueimp-gallery>.title{
		top:initial;
		bottom:0;
		left:0;
		background-color:#141823;
		width:100%;
		font-size:16px;
		line-height:20px;
		padding:.5em;
	}

	.item_box{
		height:520px;
	}

	.photo-thumb,
	.video-thumb{
		width:100%;
		height:auto;
		float:left;
		border: thin solid #d1d1d1;
		margin:0 1em .5em 0;
		float:left;
	}

	.album-numbers{
		margin-right:1em;
	}

	.left-margin-10px{
		margin:0 1em 0 0;
	}

	#last_item_loader{
		text-align:center; margin:0 0 1em 0; font-weight:bold; overflow:hidden; width:100%; display:block; float:none;
	}

	.blueimp-gallery>.prev, .blueimp-gallery>.next{
		border:none;
		background:none;
		border:none;
		opacity:1;
	}

	.display-none{
		display:none;
	}
	</style>
</head>
<body>

<!-- pre-load image loader -->
<img src="images/ajax-loader.gif" class="display-none" />

<div class="container">
	<div class="row">

	<div class="col-lg-12">
		<div class="page-header">
			<h1>Display Instagram Posts On Website - LEVEL 2 - Live Demo</h1>
		</div>
	</div>

	<?php
	// use this instagram access token generator http://instagram.pixelunion.net/
	$access_token="CHANGE_TO_YOUR_ACCESS_TOKEN";

	$photo_count=6;

	$json_link="https://api.instagram.com/v1/users/self/media/recent/?";
	$json_link.="access_token={$access_token}&count={$photo_count}";

	$json = file_get_contents($json_link);
	$obj = json_decode($json, true, 512, JSON_BIGINT_AS_STRING);
	// $obj = json_decode(preg_replace('/("\w+"):(\d+)/', '\\1:"\\2"', $json), true);

	$next_page = isset($obj['pagination']['next_url']) ? $obj['pagination']['next_url'] : "";
	$_SESSION['DSM_NEXT_PAGE']=$next_page;

	include "items_template.php";

	echo "<div id='last_item_loader'></div>";
	?>

	</div>
</div>

<!-- The Bootstrap Image Gallery lightbox, should be a child element of the document body -->
<div id="blueimp-gallery" class="blueimp-gallery" data-use-bootstrap-modal="false">

    <!-- The container for the modal slides -->
    <div class="slides"></div>
    <!-- Controls for the borderless lightbox -->
    <h3 class="title"></h3>
    <a class="prev"><i class='fa fa-chevron-left'></i></a>
    <a class="next"><i class='fa fa-chevron-right'></i></a>
    <a class="close"><i class='fa fa-times'></i></a>
    <!-- <a class="play-pause"></a> -->
    <!-- <ol class="indicator"></ol> -->
    <!-- The modal dialog, which will be used to wrap the lightbox content -->
    <div class="modal fade">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" aria-hidden="true">&times;</button>
                    <h4 class="modal-title"></h4>
                </div>
                <div class="modal-body next"></div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default pull-left prev">
                        <i class="glyphicon glyphicon-chevron-left"></i>
                        Previous
                    </button>
                    <button type="button" class="btn btn-primary next">
                        Next
                        <i class="glyphicon glyphicon-chevron-right"></i>
                    </button>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- jQuery library -->
<script src="libs/js/jquery.js"></script>

<!-- bootstrap JavaScript -->
<script src="libs/js/bootstrap/dist/js/bootstrap.min.js"></script>
<script src="libs/js/bootstrap/docs-assets/js/holder.js"></script>

<!-- HTML5 Shiv and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
<script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->

<!-- bootstrap image gallery -->
<script src="libs/js/Bootstrap-Image-Gallery-3.1.1/js/jquery.blueimp-gallery.min.js"></script>
<script src="libs/js/Bootstrap-Image-Gallery-3.1.1/js/bootstrap-image-gallery.min.js"></script>

<!-- linkify -->
<script src="libs/js/jquery.linkify.min.js"></script>

<script>
$('#blueimp-gallery').data('useBootstrapModal', false);
$('#blueimp-gallery').toggleClass('blueimp-gallery-controls', true);

$(window).on('load', function () {
	$('p').linkify();
});

function changeImageHeight(){
	// change height of image
	// get photo_thumb_width and set it as photo thumb height
	var photo_thumb_width=$('.photo-thumb').width();
	$('.photo-thumb').height(photo_thumb_width);
}

function load_NextSet() {

	$('div#last_item_loader').html('<img src="images/ajax-loader.gif">');

	$.post("items_more.php", function(data){
		if (data != "") {
			$(".item_box:last").after(data);
			changeImageHeight();
		}

		if(data==""){
			$('div#last_item_loader').html("All posts were loaded.");
		}else{
			$('div#last_item_loader').empty();
		}
	});
};

$(document).ready(function(){

	changeImageHeight();

	$(window).scroll(function(){
		if ($(window).scrollTop() == $(document).height() - $(window).height()){
			if($('div#last_item_loader').text()==""){
				load_NextSet();
			}
		}
	});

});
</script>

</body>
</html>
